/* Polices d'écriture */
@font-face { font-family: "PoppinsR"; src: url("../fonts/Poppins-Regular.woff2") format("woff2"); font-weight: 400; font-style: normal; font-display: swap; }
@font-face { font-family: "PoppinsI"; src: url("../fonts/Poppins-Italic.woff2") format("woff2"); font-weight: 400; font-style: normal; font-display: swap; }
@font-face { font-family: "PoppinsSB"; src: url("../fonts/Poppins-SemiBold.woff2") format("woff2"); font-weight: 400; font-style: normal; font-display: swap; }
@font-face { font-family: "PoppinsB"; src: url("../fonts/Poppins-Bold.woff2") format("woff2"); font-weight: 400; font-style: normal; font-display: swap; }
@font-face { font-family: "Versa"; src: url("../fonts/Versa.woff2") format("woff2"); font-weight: 400; font-style: normal; font-display: swap; }
:root {
   --bs-primary: #F77E0B;
    --bs-secondary: #FEF3E8;
    --bs-primary-rgb: 247, 126, 11;
    --bs-secondary-rgb: 254, 243, 232;
    --bs-light: #F8F8F8;
    --bs-light-rgb: 248, 248, 248;
    --bs-border-radius-xxl: 1.5rem;
    --border-radius-custom: 1.5rem;
}


/* Global */
html{height:100%;}
body{ font-family: "PoppinsR", sans-serif; background-color: #fff;}
#page{padding:1rem;}
.fw-b, strong, b{font-weight: normal;font-family: "PoppinsB", sans-serif; }
.fw-sb{font-weight: normal;font-family: "PoppinsSB", sans-serif; }
.fw-r{font-weight: normal;font-family: "PoppinsR", sans-serif; }
.fw-i, i{font-weight: normal;font-family: "PoppinsI", sans-serif; }
.versa{font-family: "Versa", serif !important;font-weight: normal;}
.z-n1 {z-index: -1!important;}
.z-0 {z-index: 0!important;}
.z-1 {z-index: 1!important;}
.z-2 {z-index: 2!important;}
.z-3 {z-index: 3!important;}
.z-4 {z-index: 4!important;}
.z-5 {z-index: 5!important;}
.opacity-5{opacity: 0.05;}
.opacity-10{opacity: 0.1;}
.overflow-hidden-x{overflow-x: hidden !important;}
.w-80{width:80% !important;}
.w-90{width:90% !important;}
#page{overflow:hidden;}
.homepage{overflow: hidden;}
section{width:100%;/*scroll-margin-top: 100px;*/}
.hover-scale:hover{transform: scale(1.05);transition: transform 0.3s ease-out;}
.hover-scale-blend{mix-blend-mode: multiply;transition: transform 0.3s ease-out;will-change: transform;}
.hover-scale-blend:hover{transform: scale(1.05);transition: transform 0.3s ease-out;mix-blend-mode: multiply;}
.x-small{font-size: 0.75rem;}
.fs-1{font-size: 2.75rem !important;}
.fs-2{font-size: 1.5rem !important;}
.fs-4{font-size: 1.35rem !important;}
.fs-5{font-size: 1.15rem !important;}
.fs-6{}
.fs-7{font-size: 0.9rem;}
.fs-8{font-size: 0.7rem;}
.fs-9{font-size: 0.5rem;}
.small, small {font-size: .9em;}
h1, h2, h3, h4, h5{font-weight: normal;}
h2.display-6{line-height: 1.5;}
.hr-small{height:3px;opacity: 1;border:0;background-color:#FFE2C5}
.smooth, a{-webkit-transition: all 0.4s ease-out;transition: all 0.4s ease-out;}
.ratio-11{aspect-ratio: 1/1;}
.ratio-auto{aspect-ratio: unset !important;}
.letter-spacing{letter-spacing: 0.05rem;}
.lh-3{line-height: 1.8;}
.fw-sb{}
.fw-b, .fw-bold{font-weight:700;}
.text-grey{color:#D8D8D8;}
.text-soft-pink{color:#FFDCE5;}
.object-fit-cover{object-fit: cover;}
.object-fit-contain{object-fit: contain;}
.rotate180{transform: rotate(180deg);}
.blend-multiply{mix-blend-mode: multiply;}
.bg-grey{background-color:#F8F8F8 !important;}
.rounded-bottom-xl{border-bottom-left-radius: var(--border-radius-custom); border-bottom-right-radius: var(--border-radius-custom);}
.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

.min-h-btn{display: flex;align-items: center;}
.btn{-webkit-transition: all 0.1s ease-out;transition: all 0.1s ease-out;font-size: 1.15rem;padding:0.5rem 2.5rem;border-radius: 3rem;display: flex;align-items: center;justify-content: center;font-weight: normal;font-family: "PoppinsSB", sans-serif;min-height: 65px;}
.btn{--bs-btn-disabled-opacity: 0.1;}
.btn-sm{font-size: 0.9rem;padding:0.35rem 1rem;min-height: unset;}
.btn:hover { transform: translateY(-3px); box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15); filter: brightness(1.1); }
.btn:active { transform: translateY(-1px); box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1); }
.btn-primary { background-color: #f2851c !important; border-color: #f2851c !important; color: #ffffff !important; font-weight: 600; }.btn-primary:hover { border-color: var(--bs-primary); }
.btn-devis:hover { background-color: #222; color: var(--bs-primary) !important; }
.btn-circle-pic{background-color:#fff;position: relative;overflow: hidden;padding-right:5rem;}
.btn-circle-pic:hover { background-color: #f8f9fa; }
.btn-circle-pic .circle-arrow{background-color: var(--bs-primary);border-radius: 50%;width: auto;height: 55px;display: flex;align-items: center;justify-content: center;position:absolute;right:5px;aspect-ratio: 1/1;transform: rotate(0deg);}
.btn-circle-pic .circle-arrow img{transform: rotate(-45deg);}
.btn-circle-pic .circle-arrow.rotate-none img{transform: rotate(0deg);}
.btn-circle-pic:hover .circle-arrow { transform: rotate(45deg); transition: transform 0.3s ease; }
.btn-light { background-color: #ffffff !important; border: 0 !important; color: #000 !important;}
.btn-light:hover { background-color: #f8f9fa !important; border: 0 !important; transform: translateY(-2px); box-shadow: 0 4px 8px rgba(0,0,0,0.1); }
.btn-light:active { background-color: #e9ecef !important; transform: translateY(0); }
.btn-light:focus { box-shadow: 0 0 0 0.25rem rgba(242, 133, 28, 0.2) !important; }
.btn-light-bis { background-color: #F8F8F8 !important; border-color: #F8F8F8 !important; color: #000000 !important;transition: all 0.3s ease; }
.btn-light-bis:hover { background-color: #F8F8F8 !important;transform: translateY(-2px);filter:brightness(1);}
.btn-light-bis:active { background-color: #e2e2e2 !important; transform: translateY(0); }

/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: auto;
    scrollbar-color: #000 #F4F4F4;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 15px;
  }

  *::-webkit-scrollbar-track {
    background: #F4F4F4;
  }

  *::-webkit-scrollbar-thumb {
    background-color: #000;
    border-radius: 5px;
    border: 2px solid #F4F4F4;
  }

/* Return to top et appel flottant mobile */
.btn-fixed-urgence{transform:translateX(-300px);position:fixed;bottom:1rem;left:1rem;z-index:3;border-radius:2rem;display:flex;justify-content:center;text-decoration:none;align-items: center;color:#fff;height:65px;}

#btnReturnToTop {-webkit-transition: all 0.5s ease-out;transition: all 0.5s ease-out;
    opacity:0;
    transform:translateX(300px);
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    width:4rem;height:3rem;
    z-index: 3;
}

#btnReturnToTop.show, .btn-fixed-urgence.show {
    opacity:1;
    transform:translateX(0px);
}

/* Footer, Emqu S */
.bg-dark-orange { background-color: #E57000; }
.bg-secondary-custom { background-color: #FEF3E8; }
.text-orange { color: #F2851C; }


.pre-footer{border-top-left-radius: var(--border-radius-custom); border-top-right-radius: var(--border-radius-custom);}
.footer-bottom, footer{border-bottom-left-radius: var(--border-radius-custom); border-bottom-right-radius: var(--border-radius-custom);}
footer .footer-bas a img{margin-right:5px;-webkit-transition: all 0.2s ease-out;transition: all 0.2s ease-out;}
footer .footer-bas a:hover img{transform: scale(0.8);}
footer .footer-bas a:hover { color: #FFFFFF !important; opacity: 1; }
footer .footer-bas a u { text-decoration: none; position: relative; -webkit-transition: all 0.2s ease-out; transition: all 0.2s ease-out; }
footer .footer-bas a u:after { -webkit-transition: all 0.2s ease-out; transition: all 0.2s ease-out; position: absolute; content: ''; width: 100%; left: 0px; bottom: -6px; height: 0px; background: linear-gradient(90deg, #F2851C 0%, #FFFFFF 100%); border-radius: 10px; }
footer .footer-bas a:hover u:after { height: 4px; }.footer-list li{padding-bottom: 1.5rem;}
.footer-link{position: relative;}
footer .cartouche{width:2.5rem;height:2.5rem;padding:0.75rem;display: flex;align-items: center;justify-content: center;}
.social-icon { width: 45px; height: 45px; background: #fff; color: #000; border-radius: 50%; display: flex; align-items: center; justify-content: center; text-decoration: none; transition: 0.3s;}
.social-icon:hover { background: #333; color: #fff; }
.icon-circle { min-width: 40px; height: 40px; background: #fff; border-radius: 50%; display: flex; align-items: center; justify-content: center; }
.footer-links li { margin-bottom: 10px; }
.form-control-nsl{border-radius: 2rem;padding: 0.8rem 1.5rem;background-color: #fcfcfc;height: 65px;border-top-right-radius: 0;border-bottom-right-radius: 0;}
.btn-nsl{border-radius: 2rem;border-top-left-radius: 0;border-bottom-left-radius: 0;}

/* Header */
header>div{height: 90px;}
.container-fluid.px-container{padding-left:10rem;padding-right:10rem;}
header{border-top-left-radius:var(--border-radius-custom);border-top-right-radius:var(--border-radius-custom);position: relative;}
.logo-wrapper { position: absolute; top: 0; left: 0; width: 250px; height: 250px; background: black; border-top-left-radius: var(--border-radius-custom); clip-path: polygon(0 0, 100% 0, 0 100%); z-index: 10;align-items: center; justify-content: center; }
.logo-wrapper img { transform: rotate(-40deg) translateY(-55px); width: 180px; height: auto; }
.col-menu-principal .gap-5{gap: 3rem !important;}
.col-menu-principal{height:calc(100svh - 2rem);width:100svw;position:fixed;left:0;top:1rem;transform: translateX(-110%);transition: all 0.3s ease;z-index:20;padding-left:1rem;padding-right:1rem;}
.col-menu-principal>div{background-color: var(--bs-primary);overflow:auto;}
.col-menu-principal.show{transform: translateX(0%);}
/* Menu & animation */
.menu-overlay { position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(255, 255, 255, 0.5); opacity: 0; visibility: hidden; transition: all 0.3s ease-in-out; z-index: 16; }
.menu-overlay.active { opacity: 1; visibility: visible; }

nav.nav-principale{flex-direction: column;align-items:flex-start;width:100%;}
.custom-dropdown{width:100%;}
.custom-dropdown .dropdown-menu {display: block !important; opacity: 0; visibility: hidden; border-radius: 20px; padding: 0; min-width: 280px; margin-top: -10px !important; overflow: hidden; transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1); transform: translate(-20px, 10px) !important; }

.custom-dropdown .dropdown-menu{position: relative !important;margin:0 !important;transform:none !important; display:none !important;}
.custom-dropdown .dropdown-menu.show { display: block !important; }

.custom-dropdown .dropdown-menu.show { opacity: 1; visibility: visible; z-index: 1000; }
.dropdown-header-custom { padding: 15px 20px; color: var(--bs-primary); font-weight: 700; font-size: 1.1rem; background: #fff; border-bottom: 1px solid #eee;cursor: pointer; }
.custom-dropdown .dropdown-item { padding: 15px 20px; font-weight: 500; border-bottom: 1px solid #f8f9fa; transition: all 0.2s; }
.custom-dropdown li:last-of-type .dropdown-item{border:0;}
.custom-dropdown .dropdown-item:hover { background-color: #fff9f2; color: var(--bs-primary); }
.custom-dropdown .dropdown-item img { filter: grayscale(1) opacity(0.8); transition: all 0.2s; }
.custom-dropdown .dropdown-item:hover img { filter: none; opacity: 1; }
.rotate-180 { transform: rotate(180deg); filter: brightness(0); }
.dropdown-toggle::after { display: none; }

nav.nav-principale{padding-left:0.5rem;padding-right:0.5rem;padding-top:2rem;}
.custom-dropdown{margin-bottom:1rem;}
.custom-dropdown .dropdown-menu{border-top-left-radius:0 !important;border-top-right-radius:0 !important;}
.custom-dropdown .dropdown-item{padding:1rem 2rem;}
.nav-link{width:100%;background-color:#ffffff;border-radius: 2rem; padding:1.17rem 2rem; transition: all 0.2s;justify-content:space-between;display:flex;align-items:center;color:#000 !important;}
.nav-link.show{border-bottom-left-radius:0 !important;border-bottom-right-radius:0 !important;}
.nav-link.show>img{transform: rotate(180deg);padding-left:0 !important;}

.custom-dropdown .show > .nav-link { visibility: hidden; }
.transition-chevron { transition: transform 0.3s ease-in-out; }
.burger{z-index: 15;border:2px solid #fff;}
.burger:hover{transform:none;box-shadow:none;border:2px solid #fff;}
.burger>div{width:30px;height:26px;position:relative;cursor:pointer;display:inline-block}
.burger span{background-color:#fff;position:absolute;transition:.3s cubic-bezier(.8,.5,.2,1.4)}
.burger span:nth-child(1){width:100%;height:2px;display:block;top:0;left:0}
.burger span:nth-child(2){width:100%;height:2px;display:block;top:12px;left:0}
.burger span:nth-child(3){width:100%;height:2px;display:block;bottom:0;left:0}
.burger.on{z-index:5 !important}
.burger.on span{background-color:#fff}
.burger.on span:nth-child(1){width:100%;height:2px;display:block;top:50%;left:0;transform:translateY(-50%) rotate(45deg)}
.burger.on span:nth-child(2){width:100%;height:2px;display:block;top:50%;left:0;transform:translateY(-50%) rotate(-45deg)}
.burger.on span:nth-child(3){width:0;height:0;opacity:0}header.menu-open .burger span:nth-child(1){transform:rotate(45deg) translate(5px,5px);}

/* Accueil */
.hero-title strong, h1 strong, h2 strong, h3 strong{color:var(--bs-primary);}
.hero-title br{display:none;}
.hero-section{min-height:calc(100svh - 90px - 2rem);padding-left:0.75rem;padding-right:0.75rem;}
.type-hero-section{padding-left:0.75rem;padding-right:0.75rem;}
.etoile-hero{height:15px;}
.bg-paint {width: 100%;}
.img-arnaud {width:113%;position: absolute; z-index: 20;bottom:0;right:0%;}
.card-service { border-radius: 1.5rem; border: none; height: 100%; position: relative; min-height: 400px; display: flex; flex-direction: column; justify-content: flex-start;background-color: #FEF3E8;}
.swiper-services .swiper-slide:nth-child(2n) .card-service, .row-box .col-box:nth-child(2n) .card-service { background-color: #f8f8f8 !important;}
.card-service p {font-size: 1rem; line-height: 2;}
.picto-service img{height: 100px;object-fit: contain;object-position: center;}
.picto-service:after { content: ""; display: block; width: 100%; height: 75%; background: url("../images/peinture-orange.svg") right/contain no-repeat;position:absolute;right:12%;bottom:0;z-index:0;}
.picto-service-bis:after { content: ""; display: block; width: 100%; height: 75%; background: url("../images/peinture-orange.svg") left/contain no-repeat;position:absolute;right:unset;bottom:0;z-index:0;left:-5%;}
.nav-pills{flex-grow: 1;width:100%;}
.nav-pills-custom .nav-link {width:33.33%;border-radius: 3rem; color: #000; background: #F8F8F8; border: none;padding:1.25rem 1.25rem;font-size: 0.95rem;justify-content: center;}
.nav-pills-custom .nav-link.active { background-color: var(--bs-primary) !important; color: #fff !important; }
.card-chantier { position: relative; border-radius: var(--border-radius-custom); overflow: hidden; height: 350px;}
.card-link:hover .img-chantier { transform: scale(1.05);}
.img-chantier { width: 100%; height: 100%; object-fit: cover;transition: all 0.3s ease-out; }
.chantier-overlay { position: absolute; bottom: 0; left: 0; right: 0; padding: 5rem 2rem 1rem 2rem; background: linear-gradient(to top, rgba(0,0,0,1), transparent); color: #fff;}
.chantier-overlay h3{line-height: 1.4 !important;}
.swiper-button-next-custom { width: 45px; height: 45px; background: #fff; border-radius: 50%; display: flex; align-items: center; justify-content: center; cursor: pointer; transition: all 0.3s; }
.swiper-button-disabled{opacity:0.25 !important;pointer-events:none;}
.swiper-button-next-custom:hover { background: var(--bs-primary); }
.swiper-button-next-custom:hover img { filter: brightness(0) invert(1); }
.rotate-right { transform: rotate(-90deg); width: 15px; }
.rotate-left { transform: rotate(90deg); width: 15px; }
.swiper-slide{height:auto !important;}
/*.swiper-avis .swiper-slide:nth-child(even) > .bg-light {background-color: #EFEFEF !important;}*/

/* Modèles article */
.modele-article-1 .img-article{height:100%;object-fit:contain;object-position: center;}
/*.modele-article-1 .img-article{height:80%;transform: translateX(-4rem);}*/
ul.custom-list { list-style: none; padding-left: 0; }
ul.custom-list li { position: relative; padding-left: 2rem; margin-bottom: 0.5rem; display: flex; align-items: center; }
ul.custom-list-xl li {margin-bottom: 1rem;}
ul.custom-list-xl li:last-of-type {margin-bottom: 0;}
ul.custom-list li::before { content: ""; position: absolute; left: 0; width: 20px; height: 20px; background-image: url('../images/check.svg'); background-size: contain; background-repeat: no-repeat; background-position: center; }

/* Galerie */
.desc-bottom .gslide-image img, .desc-top .gslide-image img{border-top-left-radius: var(--border-radius-custom);border-top-right-radius: var(--border-radius-custom);}
.glightbox-clean .gslide-description{border-bottom-left-radius: var(--border-radius-custom);border-bottom-right-radius: var(--border-radius-custom);}
.glightbox-clean .gdesc-inner{padding:2rem !important;}
.glightbox-clean .gslide-title{font-size: 1.35rem !important; font-weight: 700 !important;font-weight: normal;font-family: "PoppinsB", sans-serif !important;line-height: normal !important;}
.glightbox-clean .gslide-desc{font-size: 1.15rem !important;line-height: 1.5 !important;font-family: "PoppinsR", sans-serif !important;}
.gslide-description.description-bottom{background-color: #000000 !important;}
.glightbox-clean .gslide-title{color:#fff !important;}
.glightbox-clean .gslide-desc{color:#fff !important;opacity: 0.8;}

/* Page prestation */
.breadcrumb{column-gap: 0.5rem;font-size:0.75rem;}
.breadcrumb-item a { color: #000000; transition: color 0.2s; }
.breadcrumb-item a:hover { color: #F2851C !important; }
.breadcrumb-item.active { color: #6c757d;}
.breadcrumb img {display: block; }
.picto-service-bis{width:80px;}
.btn-service-badge{font-size:1.15rem !important;}
.btn-service-badge:hover{transform: translateX(0.25rem);background-color: var(--bs-primary) !important;}
.row-box .col-box .card-service{min-height:unset;}
.pastille-dispo{width:1rem;height:1rem;border-radius:50%;background-color:#4BC228;display:inline-block;}
.card-service.card-service-photo>img{height:250px;border-top-left-radius: var(--border-radius-custom);border-top-right-radius: var(--border-radius-custom);}
.link-text:hover{color: var(--bs-primary) !important;}
.double-col { columns: 2; column-gap: 3rem; list-style: none; padding: 0; width: 100%; }
.double-col li { break-inside: avoid-column;}
@media (max-width: 576px) { .double-col { columns: 1; } }

/* Modal devis */
.modal-content { border-radius: 35px; border: none; }
.btn-white-modal { background: white; color: black; border: none; font-size: 0.9rem; transition: 0.3s; }
.btn-white-modal:hover { background: #f8f9fa; transform: scale(1.05); }
.modal-body .form-control, .modal-body .form-select { border: 2px solid #121214; border-radius: 2rem; padding: 0.8rem 1.5rem; background-color: #fcfcfc;min-height:65px;}
.modal-body textarea.form-control { border-radius: 25px; }
.modal-body .form-control:focus { border-color: #F2851C; box-shadow: none; }
.custom-radio { display: flex; align-items: center; gap: 10px; }
.custom-radio input[type="radio"] { appearance: none; width: 22px; height: 22px; border: 2px solid #121214; border-radius: 50%; cursor: pointer; position: relative; }
.custom-radio input[type="radio"]:checked { background-color: #F2851C; }
.custom-radio label { cursor: pointer; font-weight: 500; }
.custom-check { display: flex; align-items: center; gap: 10px; }
.custom-check .form-check-input { width: 25px; height: 25px; border: 2px solid #121214; border-radius: 5px; margin-top: 0; cursor: pointer; }
.custom-check .form-check-input:checked { background-color: #F2851C; border-color: #F2851C; }
.custom-check label { padding-left: 10px; cursor: pointer; }
.btn-orange-submit { background-color: #F2851C; color: white; border-radius: 50px; border: none; transition: 0.3s; }
.btn-orange-submit:hover { background-color: #D66D0E; transform: translateY(-2px); color: white; }
.select-wrapper { position: relative; }

/* Animations */
@-webkit-keyframes fade {
  from {
      opacity: 0;
  }
  to {
      opacity: 1;
  }
}
@keyframes fade {
  from {
      opacity: 0;
  }
  to {
      opacity: 1;
  }
}
@-webkit-keyframes toleft {
  from {
      -webkit-transform: translateX(200px);
              transform: translateX(200px);
  }
  to {
      -webkit-transform: translateX(0px);
              transform: translateX(0px);
  }
}
@keyframes toleft {
  from {
      -webkit-transform: translateX(200px);
              transform: translateX(200px);
  }
  to {
      -webkit-transform: translateX(0px);
              transform: translateX(0px);
  }
}
@-webkit-keyframes toright {
  from {
      -webkit-transform: translateX(-200px);
              transform: translateX(-200px);
  }
  to {
      -webkit-transform: translateX(0px);
              transform: translateX(0px);
  }
}
@keyframes toright {
  from {
      -webkit-transform: translateX(-200px);
              transform: translateX(-200px);
  }
  to {
      -webkit-transform: translateX(0px);
              transform: translateX(0px);
  }
}
@-webkit-keyframes totop {
  from {
      -webkit-transform: translateY(200px);
              transform: translateY(200px);
  }
  to {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
  }
}
@keyframes totop {
  from {
      -webkit-transform: translateY(200px);
              transform: translateY(200px);
  }
  to {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
  }
}
@-webkit-keyframes tobottom {
  from {
      -webkit-transform: translateY(-200px);
              transform: translateY(-200px);
  }
  to {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
  }
}
@keyframes tobottom {
  from {
      -webkit-transform: translateY(-200px);
              transform: translateY(-200px);
  }
  to {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
  }
}

@-webkit-keyframes toscalein {
  from {
      -webkit-transform: scale(2);
              transform: scale(2);
  }
  to {
      -webkit-transform: scale(1);
              transform: scale(1);
  }
}
@keyframes toscalein {
  from {
      -webkit-transform: scale(2);
              transform: scale(2);
  }
  to {
      -webkit-transform: scale(1);
              transform: scale(1);
  }
}


.fadein-scroll {
  opacity:0;
}
.toleft-scroll {
  opacity:0;
  -webkit-transform: translateX(200px);
      -ms-transform: translateX(200px);
          transform: translateX(200px);
}
.toright-scroll {
  opacity:0;
  -webkit-transform: translateX(-200px);
      -ms-transform: translateX(-200px);
          transform: translateX(-200px);
}
.totop-scroll {
  opacity:0;
  -webkit-transform: translateY(200px);
      -ms-transform: translateY(200px);
          transform: translateY(200px);
}
.tobottom-scroll {
  opacity:0;
  -webkit-transform: translateY(-200px);
      -ms-transform: translateY(-200px);
          transform: translateY(-200px);
}

.toscalein-scroll {
  opacity:0;
  -webkit-transform: scale(2);
      -ms-transform: scale(2);
          transform: scale(2);
}

.fadein, .fadein-scroll.on {
  opacity:0;
  -webkit-animation: fade 1s ease;
          animation: fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}
.toleft, .toleft-scroll.on {
  opacity:0;
  -webkit-transform: translateX(200px);
      -ms-transform: translateX(200px);
          transform: translateX(200px);
  -webkit-animation: toleft 1s ease, fade 1s ease;
          animation: toleft 1s ease, fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}
.toright, .toright-scroll.on {
  opacity:0;
  -webkit-transform: translateX(-200px);
      -ms-transform: translateX(-200px);
          transform: translateX(-200px);
  -webkit-animation: toright 1s ease, fade 1s ease;
          animation: toright 1s ease, fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}
.totop, .totop-scroll.on {
  opacity:0;
  -webkit-transform: translateY(200px);
      -ms-transform: translateY(200px);
          transform: translateY(200px);
  -webkit-animation: totop 1s ease, fade 1s ease;
          animation: totop 1s ease, fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}
.tobottom, .tobottom-scroll.on {
  opacity:0;
  -webkit-transform: translateY(-200px);
      -ms-transform: translateY(-200px);
          transform: translateY(-200px);
  -webkit-animation: tobottom 1s ease, fade 1s ease;
          animation: tobottom 1s ease, fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}

.toscalein, .toscalein-scroll.on {
  opacity:0;
  -webkit-transform: scale(2);
      -ms-transform: scale(2);
          transform: scale(2);
  -webkit-animation: toscalein 1s ease, fade 1s ease;
          animation: toscalein 1s ease, fade 1s ease;
  -webkit-animation-iteration-count: 1;
          animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}

  .delay0{-webkit-animation-delay: 0.1s !important;animation-delay: 0.1s !important;}
  .delay1{-webkit-animation-delay: 0.2s !important;animation-delay: 0.2s !important;}
  .delay2{-webkit-animation-delay: 0.3s !important;animation-delay: 0.3s !important;}
  .delay3{-webkit-animation-delay: 0.4s !important;animation-delay: 0.4s !important;}
  .delay4{-webkit-animation-delay: 0.5s !important;animation-delay: 0.5s !important;}
  .delay5{-webkit-animation-delay: 0.6s !important;animation-delay: 0.6s !important;}
  .delay6{-webkit-animation-delay: 0.7s !important;animation-delay: 0.7s !important;}  
  .delay7{-webkit-animation-delay: 0.8s !important;animation-delay: 0.8s !important;}  
  .delay8{-webkit-animation-delay: 0.9s !important;animation-delay: 0.9s !important;}    


/*
X-Small	None	<576px
Small	sm	≥576px
Medium	md	≥768px
Large	lg	≥992px
Extra large	xl	≥1200px
Extra extra large	xxl	≥1400px

/ Small devices (landscape phones, 576px and up)
@media (min-width: 576px) { ... }

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) { ... }

// Large devices (desktops, 992px and up)
@media (min-width: 992px) { ... }

// X-Large devices (large desktops, 1200px and up)
@media (min-width: 1200px) { ... }

// XX-Large devices (larger desktops, 1400px and up)
@media (min-width: 1400px) { ... }
*/

@media (min-width: 576px) {
  .etoile-hero{height:25px;}
}


@media (min-width: 768px) {
  :root {
    --bs-border-radius-xxl: 2.5rem;
    --border-radius-custom: 2.5rem;
  }
  .col-menu-principal{width:40svw;}
  .lh-3{line-height: 2.4;}
  .card-service { border-radius: 2.5rem;}
  .breadcrumb{font-size:0.9rem;}
  ul.custom-list-xl li {margin-bottom: 2rem;}
}

@media (min-width: 992px) {
  .nav-pills{flex-grow: 0;width:auto;}
  .btn-fixed-urgence{bottom:unset;top:30%;left:unset;right:0px;z-index:3;border-top-right-radius:0rem;border-bottom-right-radius:0rem;border-top-left-radius:0.75rem;border-bottom-left-radius:0.75rem;flex-direction:column;height:auto;}
  .btn-fixed-urgence:hover{padding-right:3rem !important;}
  .btn-fixed-urgence{opacity:1;transform:translateX(0px);}
  .btn-service-badge{font-size:1.5rem !important;}
}



@media (min-width: 1200px) {
  header>div{height: 125px;}
  #page{padding:1.5rem;}
  .hero-section{padding-left:1.5rem;padding-right:1.5rem;min-height: calc(100svh - 125px - 3rem);}
  .type-hero-section{padding-left:1.5rem;padding-right:1.5rem;}
  .nav-pills-custom .nav-link{width:auto;padding-left:1rem;padding-right:1rem;}
  .col-menu-principal{height:calc(100svh - 3rem);top:1.5rem;}

}

@media (min-width: 1400px) {
  .hero-section{padding-left:3rem;padding-right:3rem;}
  .type-hero-section{padding-left:3rem;padding-right:3rem;}
    .nav-pills-custom .nav-link {border-radius: 3rem; color: #000; background: #F8F8F8; margin-right: 10px; border: none;padding:0.5rem 4rem;font-size: 1.15rem;}

}

@media (min-width: 1600px) {
  
  .d-3xl-flex{display:flex !important;}
  .d-3xl-none{display:none !important;}
  .flex-3xl-row{flex-direction:row !important;}
  .justify-content-3xl-center{justify-content:center !important;}
  .gap-3xl-5{gap:3rem !important;}
  .p-3xl-0{padding:0 !important;}
  nav.nav-principale{flex-direction:row; align-items:center;width:auto;}
  .col-menu-principal{height:auto;width:auto;position:relative;background-color: var(--bs-primary);left:unset;top:unset;transform:none;transition: all 0.3s ease;padding-right:0;}
  .col-menu-principal.show{transform:none;}
  .hero-section{height:calc(100svh - 125px - 3rem);min-height: 840px;}
  .col-menu-principal{padding-left:180px;z-index: 5;}
  .col-menu-principal>div{overflow:visible;}
  .hero-title br{display:block;}
  .custom-dropdown{width:auto;}
  .custom-dropdown .dropdown-menu {position: absolute !important;display: block !important; opacity: 0; visibility: hidden; border-radius: 20px; padding: 0; min-width: 280px; margin-top: -10px !important; overflow: hidden; transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1); transform: translate(-20px, 10px) !important; }
  .custom-dropdown .dropdown-menu.show { opacity: 1; visibility: visible; transform: translate(-20px, -5px) !important; z-index: 1000; }
  nav.nav-principale{padding-left:0rem;padding-right:0rem;padding-top:0rem;}
  .custom-dropdown{margin-bottom:0rem;}
  .custom-dropdown .dropdown-menu{border-top-left-radius:20px !important;border-top-right-radius:20px !important;}
  .custom-dropdown .dropdown-item { padding: 15px 20px;}
  .dropdown .nav-link{width:auto;background-color:transparent;border-radius: 0rem; padding:0;color:#fff !important;display:block;}
  .dropdown .nav-link>img{transition: all 0.2s;}
  .dropdown .nav-link:hover{color:#000 !important;}
  .dropdown .nav-link:hover>img{transform: translateY(0.15rem);}
  .dropdown .nav-link.show{border-bottom-left-radius:0 !important;border-bottom-right-radius:0 !important;}
  .dropdown .nav-link.show>img{transform: none;padding-left:0.5rem !important;}


}

@media (min-width: 1700px) {
  .d-4xl-flex{display:flex !important;}
  .d-4xl-none{display:none !important;}
  .logo-wrapper { position: absolute; top: 0; left: 0; width: 300px; height: 300px; background: black; border-top-left-radius: 2.5rem; clip-path: polygon(0 0, 100% 0, 0 100%); z-index: 10;align-items: center; justify-content: center; }
  .logo-wrapper img { transform: rotate(-40deg) translateY(-65px); width: 200px; height: auto; }
  .col-menu-principal{padding-left:230px;}
  .col-menu-principal .gap-3xl-5{gap: 5rem !important;}
  .hero-section{padding-left:0rem;padding-right:0rem;}

}

/* --- AJUSTEMENTS LARGEUR CONTAINER --- */
@media (min-width: 1400px) {
    .container { max-width: 1600px; }
}

@media (min-width: 1800px) {
    .container { max-width: 1600px; }
}